Retrieves a user timesheet with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_timesheet| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| user_id |
Foreign key of User |
globally unique identifier |
Required |
| hour_type_id |
Foreign key of the hour type |
globally unique identifier |
Required |
| date_from_rounded |
Date+Time timesheet FROM |
date |
Required |
| date_to_rounded |
Date+Time timesheet TO |
date |
Required |
| remark |
Additional remark field |
string | |
| is_approved |
Inform if this user_timesheet belongs to a week approved (readonly) |
boolean | |
| db_table_id |
Foreign key to the table timesheet is linked. Can be a jobs,project,company or empty |
globally unique identifier | |
| db_table_name |
Value of the linked table (from db_table_id) |
string | |
| id_in_table |
Foreign key of the object linked. Can be a jobs.id, project.id , company.id or empty |
globally unique identifier |
Optionally required : id_in_table must be provided |
| free_jobs_reference |
In case the user didn’t select a linked object, he can fill himself a reference |
string | |
| property_1_checked |
True/False status of property 1 |
boolean | |
| property_2_checked |
True/False status of property 2 |
boolean | |
| property_3_checked |
True/False status of property 3 |
boolean | |
| property_4_checked |
True/False status of property 4 |
boolean | |
| property_5_checked |
True/False status of property 5 |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "7af99aa4-026b-4002-a181-d898404ebc73",
"user_id": "d6c5c6ca-d73a-4f9d-a9fb-5e8d835bb06c",
"hour_type_id": "8935d5fb-e905-4854-8052-ccc892f27c81",
"date_from_rounded": "2026-09-24T11:47:12.8171975+00:00",
"date_to_rounded": "2026-09-24T11:47:12.8171975+00:00",
"remark": "sample string 6",
"is_approved": true,
"db_table_id": "a8172f29-53e8-4341-9a21-a476d3e7c20a",
"db_table_name": "sample string 9",
"id_in_table": "a9963f8c-3602-469f-848e-d8c1a411199a",
"free_jobs_reference": "sample string 11",
"property_1_checked": true,
"property_2_checked": true,
"property_3_checked": true,
"property_4_checked": true,
"property_5_checked": true,
"modified_dateutc": "2026-09-24T11:47:12.8171975+00:00"
}